Page MenuHomePhabricator

Remove isTlsLocalDynamicRel and isTlsInitialExecRel
ClosedPublic

Authored by rafael on May 2 2017, 12:48 PM.

Details

Reviewers
ruiu
grimar
Summary

This feels a bit hackish, but I think it is still an improvement.

The way a tls address is computed in the various architectures is not that different. For example, for local dynamic we need the base of the tls (R_TLSLD or R_TLSLD_PC), and the offset of that particular symbol (R_ABS).

Given the similarity, we can just use the expressions instead of having two additional target hooks.

Diff Detail

Event Timeline

rafael created this revision.May 2 2017, 12:48 PM
ruiu removed a reviewer: rui314.May 5 2017, 12:48 PM
ruiu accepted this revision.May 5 2017, 1:02 PM

Sorry for the delay. LGTM

This revision is now accepted and ready to land.May 5 2017, 1:02 PM
grimar closed this revision.Aug 17 2017, 2:25 AM
grimar edited edge metadata.

r302279